OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
Randomizer Struct Reference

Structure to encapsulate the pseudo random number generators. More...

`#include <random_func.hpp>`

## Public Member Functions
uint32 | Next ()
| Generate the next pseudo random number.
uint32 | Next (uint32 limit)
| Generate the next pseudo random number scaled to limit, excluding limit itself.
void | SetSeed (uint32 seed)
| (Re)set the state of the random number generator.

## Data Fields
uint32 | state [2]
| The state of the randomizer.

## Detailed Description

Structure to encapsulate the pseudo random number generators.

Definition at line 23 of file random_func.hpp.

## Member Function Documentation

uint32 Randomizer::Next | ( |  | ) |

Generate the next pseudo random number.

Returns
  the random number

Definition at line 33 of file random_func.cpp.

References ROR(), and state.

Referenced by CmdBuildIndustry(), Next(), and RandomRange().

uint32 Randomizer::Next | ( | uint32 | limit | ) |

Generate the next pseudo random number scaled to limit, excluding limit itself.

Parameters

  limit | Limit of the range to be generated from.

Returns
  Random number in [0,limit)

Definition at line 48 of file random_func.cpp.

References Next().

void Randomizer::SetSeed | ( | uint32 | seed | ) |

(Re)set the state of the random number generator.

Parameters

  seed | the new state

Definition at line 57 of file random_func.cpp.

References state.

Referenced by _GenerateWorld(), CmdBuildIndustry(), and SetRandomSeed().

The documentation for this struct was generated from the following files:

- src/core/random_func.hpp
- src/core/random_func.cpp